Bug 247476 - x11-wm/compiz: compiz-manager texture size parsing error
Summary: x11-wm/compiz: compiz-manager texture size parsing error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-22 14:02 UTC by Vladimir Bychik
Modified: 2020-10-04 23:09 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+
0mp: merge-quarterly?


Attachments
x11-wm/compiz: correct texture size parse error (691 bytes, patch)
2020-06-23 01:56 UTC, Chris Hutchinson
portmaster: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Bychik 2020-06-22 14:02:11 UTC
In compiz-0.8.8_9, compiz-manager doesn't cover the possibility of duplicate output from glxinfo at line 238, which causes check_texture_size() to fail. The possible solution is adding head -n 1 to the command:

TEXTURE_LIMIT=$(glxinfo -l | grep GL_MAX_TEXTURE_SIZE | head -n 1 | sed 's/.*=[^0-9]//g')
Comment 1 Chris Hutchinson 2020-06-22 19:42:32 UTC
(In reply to Vladimir Bychik from comment #0)
@Vladimir
This seems reasonable. I tested your suggestion against
my running copy w/o incident. I've created an svn diff
(patch) that implements your suggestion. But before I
attach it. Would you kindly re-title this pr to:
x11-wm/compiz: compiz-manager texture size parsing error
so that it better reflects the port in question?
There is no wm category, nor compiz-manager port. :-)

Thanks for taking the time to report this, and
provide a working solution! :-)

--Chris
Comment 2 Chris Hutchinson 2020-06-23 01:56:31 UTC
Created attachment 215870 [details]
x11-wm/compiz: correct texture size parse error

Uses proposed solution to texture parse error generated in
compiz-manager.

Proposed solution by  Vladimir Bychik
Patch provided by MAINTAINER

Thanks!

--Chris
Comment 3 commit-hook freebsd_committer 2020-10-04 19:04:52 UTC
A commit references this bug:

Author: 0mp
Date: Sun Oct  4 19:04:20 UTC 2020
New revision: 551440
URL: https://svnweb.freebsd.org/changeset/ports/551440

Log:
  x11-wm/compiz: Fix compiz-manager texture size parsing error

  compiz-manager doesn't cover the possibility of duplicate output from
  glxinfo at line 238, which causes check_texture_size() to fail. Let's fix
  it by limiting the number of output lines to 1.

  PR:		247476
  Submitted by:	Vladimir Bychik
  Approved by:	maintainer (Chris Hutchinson)
  MFH:		2020Q4

Changes:
  head/x11-wm/compiz/Makefile
  head/x11-wm/compiz/files/compiz-manager.in
Comment 4 Mateusz Piotrowski freebsd_committer 2020-10-04 19:06:01 UTC
Thanks for the patch!

Let's see, if we can get it MFH'ed now...
Comment 5 commit-hook freebsd_committer 2020-10-04 23:09:24 UTC
A commit references this bug:

Author: 0mp
Date: Sun Oct  4 23:08:38 UTC 2020
New revision: 551469
URL: https://svnweb.freebsd.org/changeset/ports/551469

Log:
  MFH: r551440

  x11-wm/compiz: Fix compiz-manager texture size parsing error

  compiz-manager doesn't cover the possibility of duplicate output from
  glxinfo at line 238, which causes check_texture_size() to fail. Let's fix
  it by limiting the number of output lines to 1.

  PR:		247476
  Submitted by:	Vladimir Bychik
  Approved by:	maintainer (Chris Hutchinson)

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q4/
  branches/2020Q4/x11-wm/compiz/Makefile
  branches/2020Q4/x11-wm/compiz/files/compiz-manager.in